"""
Property constants declares string constants that are used by the revoscale C++ api
"""

class PropertyConstants:
    blocks_per_composite_file_id = "blocksPerCompositeFile"
    rows_or_blocks_per_read_id = "rowsOrBlocksPerRead"
    cache_id = "cache"
    century_cutoff = "centuryCutoff"
    check_vars_to_keep = "checkVarsToKeep"
    class_id = "class"
    column_classes_id = "colClasses"
    column_info_id = "colInfo"
    column_names_id = "colNames"
    combine_delimeters = "combineDelimeters"
    connection_string_id = "connectionString"
    create_composite_set_id = "createCompositeSet"
    create_file_set = "createFileSet"
    create_partition_set_id = "createPartitionSet"
    data_id = "data"
    database_name_id = "databaseName"
    dbms_name_id = "dbmsName"
    decimal_point = "decimalPoint"
    default_decimal_column_type = "defaultDecimalColType"
    default_missing_column_type = "defaultMissingColType"
    default_read_buffer_size = "defaultReadBufferSize"
    delimiter = "delimiter"
    df_name_id = "dfName"
    df_source_id = "dfSource"
    df_type_id = "dfType"
    file_id = "file"
    file_system_id = "fileSystem"
    first_row_is_column_names = "firstRowIsColNames"
    in_sql_server_id = "inSqlServer"
    input_data_query_id = "inputDataQuery"
    input_encoding = "inputEncoding"
    is_fixed_format = "isFixedFormat"
    isolation_level_id = "isolationLevel"
    missing_value_string = "missingValueString"
    open_type_id = "openType"
    quote_mark = "quoteMark"
    quoted_delimiters = "quotedDelimiters"
    read_by_block_id = "readByBlock"
    read_date_format = "readDateFormat"
    read_posixct_format = "readPOSIXctFormat"
    report_progress_id = "reportProgress"
    resource_id = "id"
    return_data_frame_id = "returnDataFrame"
    row_buffering_id = "rowBuffering"
    rows_per_out_file = "rowsPerOutFile"
    rows_to_skip = "rowsToSkip"
    rows_to_sniff = "rowsToSniff"
    sql_query_id = "sqlQuery"
    strings_as_factors_id = "stringsAsFactors"
    strip_zeros = "stripZeros"
    table_id = "table"
    query_id = "query"
    thousands_separator = "thousandsSeparator"
    trim_space_id = "trimSpace"
    use_fast_read = "useFastRead"
    use_sql_satellite_id = "useSqlSatellite"
    vars_to_drop = "varsToDrop"
    vars_to_keep = "varsToKeep"
    verbose = "verbose"
    write_factors_as_indexes_id = "writeFactorsAsIndexes"
    write_precision = "writePrecision"
    xdf_uuid_id = "xdfUuid"
    server = "server"
    user = "user"
    password = "password"
    dsn = "dsn"
    compute_sql_query_only = "computeSqlQueryOnly"



class FunctionConstants:
    CloseDataSource = "CloseDataSource"
    DataSourceReadNext = "DataSourceReadNext"
    DataSourceWriteNext = "DataSourceWriteNext"
    IsOpenDataSource = "IsOpenDataSource"
    OpenDataSource = "OpenDataSource"
