import inspect

def get_call_as_string():
    ##Corresponds to R's `match.call()` function
    frame = inspect.currentframe().f_back
    args, _, _, values = inspect.getargvalues(frame)
    fname = inspect.getframeinfo(frame)[2]
    return "{0}({1})".format(fname,", ".join(["{0} = {1}".format(i, do_map(values[i])) for i in args]))


def do_map(obj):
    rpr = repr(obj)
    return rpr if len(rpr) < 80 else type(obj)